misc_util.h File Reference
`#include <string>`
`#include <iostream>`
`#include <fstream>`
`#include <functional>`
`#include <rcsb/CifFile.h>`
`#include <rcsb/DataInfo.h>`
`#include <xercesc/sax2/SAX2XMLReader.hpp>`
`#include <xercesc/util/XMLString.hpp>`
Include dependency graph for misc_util.h:

Go to the source code of this file.

## Classes

class | StrX
class | IsLostChar

## Functions

std::ostream & | operator<< (std::ostream &target, const StrX &toDump)
string | toString (const XMLCh *toConvert)
void | Error (string &err)
void | DeleteFile (const string &fileName)
void | ResurrectOrigItemNames (CifFile &cifFile, DataInfo &dataInfo)
void | CorrectEmptyValuesOfMandatoryItems (CifFile &cifFile, DataInfo &dataInfo)

## Function Documentation

void CorrectEmptyValuesOfMandatoryItems | ( | CifFile & | cifFile,
|  | DataInfo & | dataInfo
| ) |  |

void DeleteFile | ( | const string & | fileName) |  |

void Error | ( | string & | err) |  |

std::ostream& operator<< | ( | std::ostream & | target,
|  | const StrX & | toDump
| ) |  |

inline

References StrX::localForm().

void ResurrectOrigItemNames | ( | CifFile & | cifFile,
|  | DataInfo & | dataInfo
| ) |  |

string toString | ( | const XMLCh * | toConvert) |  |